- Qt 6.10
- Qt Graphs
- C++ Classes
- QtGraphs
- QLineSeries
- Qt Graphs | Commercial or GPLv3

# QLineSeries Class

The QLineSeries class presents data in line graphs. More...

Header: | `#include <QLineSeries>`
CMake: | `find_package(Qt6 REQUIRED COMPONENTS Graphs)` `target_link_libraries(mytarget PRIVATE Qt6::Graphs)`
qmake: | `QT += graphs`
In QML: | LineSeries
Inherits: | QXYSeries

- List of all members, including inherited members
- QLineSeries is part of Qt Graphs C++ Classes for 2D.

## Public Functions

Qt::PenCapStyle | capStyle() const
QPointF | dataPointCoordinatesAt(qreal x, qreal y)
void | setCapStyle(Qt::PenCapStyle newCapStyle)
void | setWidth(qreal newWidth)
qreal | width() const

## Signals

void | capStyleChanged()
void | widthChanged()

## Detailed Description

A line graph is used to show information as a series of data points connected by straight lines.

## Member Function Documentation

### `[invokable]` QPointF QLineSeries::dataPointCoordinatesAt(qreal x, qreal y)

Returns x and y rendercoordinates converted into data point coordinates.

Note: This function can be invoked via the meta-object system and from QML. See Q_INVOKABLE.